﻿using System.IO;

namespace Wicture.DbRESTFul.PMT.SpecGenerators
{
    public class IntroductionGenerator
    {
        public string ProjectName { get; set; }
        public string Introduction { get; set; }

        public IntroductionGenerator(string project, string introduction)
        {
            ProjectName = project;
            Introduction = introduction;
        }

        public string Generate(string path)
        {
            var fileName = string.Format("{0}/{1}/introduction.html", path, ProjectName);

            if (!Directory.Exists(Path.GetDirectoryName(fileName)))
            {
                Directory.CreateDirectory(Path.GetDirectoryName(fileName));
            }

            File.WriteAllText(fileName, Introduction, System.Text.Encoding.UTF8);

            return fileName;
        }
    }
}
