﻿using Microsoft.AspNetCore.Http;
using System.Threading.Tasks;
using Wicture.DbRESTFul.Resources.Api;

namespace Wicture.DbRESTFul.Authentication
{
    public interface IApiAuthenticationService
    {
        Task<UserIdentity> Authenticate(HttpContext context, ApiModel api);
        Task<UserIdentity> Authenticate(string token, ApiModel api, string from);
    }
}
