﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace Wicture.DbRESTFul.Cache
{
    public interface ICacheService
    {
        Dictionary<string, ICacheProvider> CacheProviders { get; }
        Task<object> Get(string type, string cacheKey);
        Task Set(string type, string cacheKey, object executionResult, int expiration);

        Task<string> GetString(string cacheKey, string type = "redis");
        Task SetString(string cacheKey, string type = "redis");
    }
}
