﻿using Microsoft.AspNetCore.Http;
using System;
using System.Threading.Tasks;

namespace Wicture.DbRESTFul.Configuration
{
    public interface IConfigurationProvider
    {
        Settings LoadConfig();

        event EventHandler Loaded;

        bool Accessible(HttpContext context);
        
        Task ReloadAsync(HttpContext context);

        Task<object> GetCurrentConfigAsync(HttpContext context);
    }
}
