﻿using Microsoft.AspNetCore.Http;
using Newtonsoft.Json.Linq;
using System.Threading.Tasks;
using Wicture.DbRESTFul.Resources.Api;

namespace Wicture.DbRESTFul.Infrastructure.Handlers
{
    public interface IRequestDataParser
    {
        void OnQueryDataParsed(JToken param);
        void OnBodyDataParsed(JToken param);

        Task<JToken> ParseAysnc(ApiParameter apiParameter, HttpApiExecutionContext context);
    }
}