﻿using System;

namespace Wicture.DbRESTFul
{
    public class DbRESTFulException : Exception
    {
        public int ErrorCode { get; set; }

        public DbRESTFulException(string errorMessage)
            : base(errorMessage)
        {
            ErrorCode = ResultCode.DbRESTFulError;
        }
        public DbRESTFulException(string errorMessage, Exception innerException)
            : base(errorMessage, innerException)
        {
            ErrorCode = ResultCode.DbRESTFulError;
        }

        public DbRESTFulException(int errorCode, string errorMessage)
            : base(errorMessage)
        {
            ErrorCode = errorCode;
        }
    }
}
