﻿namespace Wicture.DbRESTFul
{
    public class StandardResult : StandardResult<object>
    {
        public StandardResult()
        {

        }

        public StandardResult(int statusCode, string message)
            : base(statusCode, message)
        {

        }
    }

    public class StandardResult<T>
    {
        public int StatusCode { get; set; }
        public string ErrorMessage { get; set; }
        public T Data { get; set; }

        public StandardResult()
        {
            StatusCode = 200;
        }

        public StandardResult(int statusCode, string message)
        {
            ErrorMessage = message;
            StatusCode = statusCode;
        }
    }
}
