﻿using Newtonsoft.Json.Linq;
using System;
using System.Data;
using Wicture.DbRESTFul.Infrastructure.Repository;
using Wicture.DbRESTFul.Resources.Csi;

namespace Wicture.DbRESTFul.Infrastructure
{
    public class InvokeContext
    {
        public IDbRESTFulRepository Repository { get; set; }
        public bool AutoManagedConnection { get; set; }
        public IDbConnection Connection { get; set; }
        public bool AutoManagedTransaction { get; set; }
        public IDbTransaction Transaction { get; set; }
        public JToken Param { get; set; }
        public object CommandParam { get; set; }
        public CsiModel Csi { get; set; }
        public object Result { get; set; }
        public DateTime StartAt { get; set; }
        public DateTime EndAt { get; set; }

        public InvokeContext()
        {
            StartAt = DateTime.Now;
        }
    }
}