﻿using System;

namespace Wicture.DbRESTFul.Rpc.Client
{
    public class RpcInvocationException : Exception
    {
        public RpcInvocationException(string serviceName, string apiName, string message = null, Exception inner = null)
            : base(message, inner)
        {
            ServiceName = serviceName;
            ApiName = apiName;
        }

        public string ServiceName { get; set; }
        public string ApiName { get; set; }
    }
}