#!/bin/bash
# Build Docker file.

docker rm -f dbr-pmt

docker run -itd -p 8222:80 --name dbr-pmt \
           -v $PWD/appsettings.json:/app/appsettings.json \
		   -v /var/pmt/doc:/app/doc \
           --restart=always registry.cn-hangzhou.aliyuncs.com/wicture/dbr-pmt:3.1

docker ps -a

sleep 3

docker logs dbr-pmt

