﻿using Newtonsoft.Json.Linq;

namespace Wicture.DbRESTFul.Authentication
{
    /// <summary>
    /// Provides the ability to convert token string to UserIdentity and compose the UserIdentity for token object to client.
    /// </summary>
    public interface ITokenConverter
    {
        UserIdentity Parse(string token);

        JObject Compose(UserIdentity identity);
    }
}
