﻿using System;

namespace Wicture.DbRESTFul.Authentication
{
    /// <summary>
    /// Provides an ability to support diffrent token expiration for specified UserIdentity.
    /// </summary>
    public interface ITokenExpirationStratagem
    {
        TimeSpan GetExpirationSpan(TokenOptions tokenOptions, UserIdentity userIdentity);
    }
}
