﻿using Newtonsoft.Json;
using Newtonsoft.Json.Serialization;

namespace Wicture.DbRESTFul.Infrastructure.Filters
{
    public class DefaultResultFormater : IResultFormater
    {
        private static JsonSerializerSettings _serializerSettings = new JsonSerializerSettings
        {
            Formatting = Formatting.Indented,
            ContractResolver = new CamelCasePropertyNamesContractResolver(),
            DateFormatString = "yyyy-MM-ddTHH:mm:ss"
        };

        public string Format(object data)
        {
            return JsonConvert.SerializeObject(data, _serializerSettings);
        }
    }
}
