﻿using System;

namespace Wicture.DbRESTFul
{
    public class LogicalException : Exception
    {
        public int ErrorCode { get; set; }
        public new object Data { get; set; }

        public LogicalException(string errorMessage)
            : base(errorMessage)
        {

        }

        public LogicalException(string errorMessage, int errorCode)
            : base(errorMessage)
        {
            ErrorCode = errorCode;
        }

        public LogicalException(string errorMessage, int errorCode, object data)
            : base(errorMessage)
        {
            ErrorCode = errorCode;
            Data = data;
        }
    }
}
