﻿using System.Collections.Generic;
using System.Security.Principal;

namespace Wicture.DbRESTFul
{
    public class UserIdentity : IIdentity
    {
        public static UserIdentity Anonymous { get { return new UserIdentity { }; } }

        public string From { get; set; }
        public string Id { get; set; }
        public string Name { get; set; }
        public string Role { get; set; }
        public string Alias { get; set; }

        public Dictionary<string, object> Properties { get; set; }

        public string IssuedUtc { get; set; }
        public string ExpiresUtc { get; set; }

        public bool Disabled { get; set; }

        public string AuthenticationType { get; set; }

        public bool IsAuthenticated { get; set; }
    }
}
