﻿using System.Threading.Tasks;
using Wicture.DbRESTFul.Infrastructure;

namespace Wicture.DbRESTFul.Rpc.Client
{
    public interface IRpcClient
    {
        Task<RpcResponse> InvokeRpcAsync(ExecutionContext executionContext);
        Task<RpcResponse> InvokeRpcAsync(ExecutionContext executionContext, string serviceName, string apiName, object param);
    }
}