﻿using Microsoft.AspNetCore.Builder;
using Microsoft.Extensions.DependencyInjection;
using Wicture.DbRESTFul.Rpc.Server;

namespace Wicture.DbRESTFul.Rpc
{
    public static class RpcApplicationBuilderExtensions
    {
        public static IApplicationBuilder UseRpc(this IApplicationBuilder app)
        {
            var rpcServer = app.ApplicationServices.GetRequiredService<DbRESTFulRpcServer>();
            rpcServer.Start();
            return app;
        }
    }
}
