﻿using System;
using System.Collections.Generic;
using Wicture.DbRESTFul.Configuration;

namespace Wicture.DbRESTFul.Rpc
{
    public class RpcSectionConfig : ObjectSectionConfigBase<RpcSectionConfig>
    {
        public override string SectionName => "Rpc";

        public List<RpcClientConfig> Clients { get; set; }
        public RpcServerConfig Server { get; set; }
    }

    public class RpcClientConfig
    {
        public string ServiceName { get; set; }
        public string ServerAddress { get; set; }
        public bool DisableAutoManage { get; set; }
    }

    public class RpcServerConfig
    {
        public bool LogResult { get; set; }
        public bool Enabled { get; set; }
        public Guid ServiceGuid { get; set; }
        public string ServiceName { get; set; }
        public string Host { get; set; }
        public int Port { get; set; }
    }
}
