#!/bin/bash
# Build Docker file.

git pull

docker rm -f dbr-pmt
docker rmi -f dbr-pmt

rm -rf app/

WD=$PWD
TARGET=$PWD/app
SOURCE=$PWD/../../Tools/Wicture.DbRESTFul.PMT

cd $SOURCE
dotnet restore
dotnet publish -c release -o:$TARGET

cd $WD

docker build -t dbr-pmt .